> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an exhibit

> Partially update an exhibit. Only the fields you supply are changed.



## OpenAPI

````yaml /api-reference/files/openapi.yaml patch /v1/requests/{requestId}/exhibits/{exhibitId}
openapi: 3.0.0
info:
  title: Files & Requests API
  version: 1.2.0
  description: >
    Manage evidence and claims requests, attach exhibits, fill state-specific
    templates, generate PDF files, run PDF redaction jobs, and store and
    retrieve a matter's files and media.
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/files
    description: Production
  - url: https://api.uat.slate.inc/files
    description: UAT (staging)
security:
  - bearerAuth: []
tags:
  - name: Requests
    description: Create, read, update, and generate evidence and claims requests
  - name: Exhibits
    description: Upload, download, and delete exhibits
  - name: Files
    description: Files and media associated with a matter
  - name: Redactions
    description: Asynchronous PDF redaction jobs
  - name: Bulk Downloads
    description: Asynchronous bulk download jobs
paths:
  /v1/requests/{requestId}/exhibits/{exhibitId}:
    parameters:
      - $ref: '#/components/parameters/requestId'
      - $ref: '#/components/parameters/exhibitId'
    patch:
      tags:
        - Exhibits
      summary: Update an exhibit
      description: Partially update an exhibit. Only the fields you supply are changed.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExhibitPatch'
      responses:
        '200':
          description: Updated exhibit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Exhibit'
        '400':
          description: Invalid exhibit parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Exhibit not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    requestId:
      in: path
      name: requestId
      required: true
      schema:
        type: string
        format: uuid
    exhibitId:
      in: path
      name: exhibitId
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ExhibitPatch:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
        exhibitOrder:
          type: integer
    Exhibit:
      type: object
      required:
        - id
        - exhibitOrder
        - fileId
        - templateId
      properties:
        id:
          type: string
          format: uuid
        description:
          type: string
        exhibitOrder:
          type: integer
        key:
          type: string
          x-go-json-ignore: true
        fileId:
          type: string
          format: uuid
        templateId:
          type: string
          format: uuid
        templateIndex:
          type: integer
        fileName:
          type: string
    Error:
      type: object
      required:
        - message
        - reason
      properties:
        message:
          type: string
          description: A human readable error message
        reason:
          $ref: '#/components/schemas/ErrorReason'
    ErrorReason:
      type: string
      enum:
        - MISSING_TOKEN_OR_PERMISSIONS
        - NO_MATCHING_TRIGGER
        - OWNER_REQUIRED
        - FILE_REQUEST_NOT_PENDING
        - DUPLICATE_FILE_REQUEST
        - TEMPLATE_TYPE_REQUIRED
        - TEMPLATE_INDEX_REQUIRED
        - INVALID_MATTER_ID
        - MATTER_ID_REQUIRED
        - MATTER_NOT_FOUND
        - FILES_LIST_EMPTY
        - TOO_MANY_FILES
        - FILE_NAME_REQUIRED
        - FILE_NAME_MUST_BE_PDF
        - INVALID_FILE_TYPE
        - INVALID_TEMPLATE_IDENTIFIER
        - GENERATION_FAILED
        - EXHIBIT_ORDER_REQUIRED
        - CRID_REQUIRED
        - INVALID_FILE_NAME
        - ARTIFACT_TAG_NOT_FOUND
        - INVALID_LIMIT
        - INVALID_CURSOR
        - INVALID_ORDER_BY
        - MISSING_FILTER_DEPENDENCY
        - INVALID_FILTER
        - REQUEST_BODY_REQUIRED
        - INVALID_LABEL_RANGE
        - INVALID_REDACTION_RULE
        - REDACTION_NOT_FOUND
        - REDACTION_NOT_READY
        - FILE_UPLOAD_PENDING
        - BULK_DOWNLOAD_NOT_FOUND
        - BULK_DOWNLOAD_NOT_READY
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Cognito-issued JWT access token. Send it as `Authorization: Bearer
        <token>`.

````